Bug 1419784 - [3.5] ocp version of 'cluster up' will instantiate centos-based community images
Summary: [3.5] ocp version of 'cluster up' will instantiate centos-based community images
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: oc
Version: 3.5.0
Hardware: All
OS: All
medium
medium
Target Milestone: ---
: ---
Assignee: Steve Kuznetsov
QA Contact: Wang Haoran
URL:
Whiteboard:
Depends On: 1395380
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-07 03:25 UTC by Wang Haoran
Modified: 2017-03-02 22:16 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1395380
Environment:
Last Closed: 2017-03-02 22:16:15 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 1 Steve Kuznetsov 2017-02-20 16:11:38 UTC
We have picked up the ldflag change [1] in the OSE rebase. We now provide the correct envars [2] during the build and we should be good here.

[1] https://github.com/openshift/origin/pull/12758/commits/5237fda6a1f1fc0ca770ac04071e07ab30b8de2a
[2] OS_IMAGE_PREFIX=openshift3/ose
    OS_BUILD_LDFLAGS_DEFAULT_IMAGE_STREAMS=rhel7

Comment 2 Wang Haoran 2017-02-23 02:09:36 UTC
verified with:
openshift v3.5.0.32-1+4f84c83
kubernetes v1.5.2+43a9be4
etcd 3.1.0

Comment 3 Troy Dawson 2017-03-02 22:16:15 UTC
Since this bug never reached customers, I am closing it.


Note You need to log in before you can comment on or make changes to this bug.